Bug 1411844 - Imported VMs have maxMemory too large
Summary: Imported VMs have maxMemory too large
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt
Version: future
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.1.1
: 4.1.1.2
Assignee: jniederm
QA Contact: Israel Pinto
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 15:39 UTC by jniederm
Modified: 2017-04-21 09:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Imported VMs now has max memory set to 4x memory size (similarly to newly created VMs).
Clone Of:
Environment:
Last Closed: 2017-04-21 09:41:27 UTC
oVirt Team: Virt
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
tjelinek: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 69941 0 master MERGED core, webadmin: Imported VMs have default maxMemory 2017-02-06 12:36:00 UTC
oVirt gerrit 71738 0 ovirt-engine-4.1 MERGED core, webadmin: Imported VMs have default maxMemory 2017-02-08 20:59:13 UTC

Description jniederm 2017-01-10 15:39:31 UTC
Description of problem:
... which can cause problems:
* long starting time of QEMU
* potential instability of the VM if too much memory is hot-plugged
* on PowerPC lots of memory can be allocated in vain 

Version-Release number of selected component (if applicable):
4.2 master, commit 4e92536

How reproducible:
100%

Steps to Reproduce:
1. Import VM from external provider
2. Check max memory size of the VM


Actual results:
max memory ~ *MaxMemorySizeInMB config value, i.e. usually several orders of magnitude larger than memory size

Expected results:
about 4x larger that memory size

Comment 1 Sandro Bonazzola 2017-02-01 16:01:12 UTC
oVirt 4.1.0 GA has been released, re-targeting to 4.1.1.
Please check if this issue is correctly targeted or already included in 4.1.0.

Comment 2 Israel Pinto 2017-03-01 07:40:28 UTC
Verify:
Engine:
Red Hat Virtualization Manager Version: 4.1.1.2-0.1.el7

Host:
OS Version:RHEL - 7.3 - 7.el7
Kernel Version:3.10.0 - 550.el7.x86_64
KVM Version:2.6.0 - 28.el7_3.3.1
LIBVIRT Version:libvirt-2.0.0-10.el7_3.5
VDSM Version:vdsm-4.19.6-1.el7ev
SPICE Version:0.12.4 - 20.el7_3

Steps:
1. Create VM in 3.6(3.6.10.2-0.2.el6) with 4 GB memory
2. Export VM 
3. Import VM in 4.1 
4. Run VM

Results:
VM imported and running with max_mem 16GB


Note You need to log in before you can comment on or make changes to this bug.